#ifndef MIMGCLEANSTD_H
#define MIMGCLEANSTD_H

#ifndef MAGIC_h
#include "MAGIC.h"
#endif
#ifndef MPARCONTAINER_H
#include "MTask.h"
#endif
#ifndef MCAMNEIGHBOR_H
#include "MCamNeighbor.h"
#endif

class MCerPhotEvt;

class MImgCleanStd : public MTask
{
private:
    MCamNeighbor  fNN;   //! the class with the information about neighbors

    MCerPhotEvt *fEvt;

public:
    MImgCleanStd(const char *name=NULL, const char *title=NULL) ;

    void CleanLevel1();
    void CleanLevel2();
    void CleanLevel3();

    Bool_t PreProcess (MParList *pList);
    Bool_t Process();

    ClassDef(MImgCleanStd, 0)    // class for Nphotons Events
}; 

#endif

